| The Red Project

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
plugin.php File Reference

## Functions
if(!function_exists('uninstall_plugin')) if(!function_exists('install_plugin')) if(!function_exists('reload_plugins')) if(!function_exists('register_hook')) if(!function_exists('unregister_hook')) if(!function_exists('load_hooks')) if(!function_exists('call_hooks')) if(!function_exists('get_plugin_info')) if(!function_exists('get_theme_info')) | get_theme_screenshot ($theme)
| service_class_allows ($uid, $property, $usage=false)
| service_class_fetch ($uid, $property)
| upgrade_link ($bbcode=false)
| upgrade_message ($bbcode=false)
| upgrade_bool_message ($bbcode=false)
| head_add_css ($src, $media= 'screen')
| head_get_css ()
| format_css_if_exists ($source)
| head_add_js ($src)
| head_get_js ()
| format_js_if_exists ($source)
| theme_include ($file, $root= '')

## Function Documentation

format_css_if_exists | ( |  | $source | ) |

Referenced by head_get_css().

format_js_if_exists | ( |  | $source | ) |

Referenced by head_get_js().

if (!function_exists('uninstall_plugin')) if (!function_exists('install_plugin')) if (!function_exists('reload_plugins')) if (!function_exists('register_hook')) if (!function_exists('unregister_hook')) if (!function_exists('load_hooks')) if (!function_exists('call_hooks')) if (!function_exists('get_plugin_info')) if (!function_exists('get_theme_info')) get_theme_screenshot | ( |  | $theme | ) |

Referenced by admin_page_themes(), and pretheme_init().

head_add_css | ( |  | $src,
|  |  | $media = `'screen'`
| ) |  |

Referenced by construct_page().

head_add_js | ( |  | $src | ) |

Referenced by construct_page().

head_get_css | ( |  | ) |

Referenced by App\build_pagehead().

head_get_js | ( |  | ) |

Referenced by App\build_pagehead().

service_class_allows | ( |  | $uid,
|  |  | $property,
|  |  | $usage = `false`
| ) |  |

Referenced by identity_check_service_class(), and new_contact().

service_class_fetch | ( |  | $uid,
|  |  | $property
| ) |  |

Referenced by attach_store(), photo_upload(), and photos_content().

theme_include | ( |  | $file,
|  |  | $root = `''`
| ) |  |

Referenced by construct_page(), format_css_if_exists(), format_js_if_exists(), and App\set_widget().

upgrade_bool_message | ( |  | $bbcode = `false` | ) |

upgrade_link | ( |  | $bbcode = `false` | ) |

Referenced by upgrade_bool_message(), and upgrade_message().

upgrade_message | ( |  | $bbcode = `false` | ) |

Referenced by attach_store(), identity_check_service_class(), new_contact(), and photo_upload().